.ranking-by-rule {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 15px 24px 24px 24px;
    gap: 24px;

    .header {
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: space-between;

        .title-section {
            display: flex;
            align-items: flex-start;
            flex-direction: column;

            .title {
                color: #000;
                font-family: Inter;
                font-size: 16px;
                font-style: normal;
                font-weight: 500;
                line-height: 25px;
            }

            .summary {
                color: #B5B5B6;
                font-size: 13px;
                font-style: normal;
                font-weight: 500;
                line-height: 25px;
            }
        }

        .filter-section {
            display: flex;
            align-items: center;
            gap: 10px;

            .selectExamType {
                width: 150px !important;

                &>div {
                    border-radius: 10px;
                }
            }
        }
    }

    .body {
        width: 100%;
    }

    .students-list {
        width: 100%;

        table {
            border-radius: 16px 16px 0 0;

            .normal-text {
                font-weight: 400;
            }
        }

        .no-data-row {
            height: 55px;
            width: 100%;
            padding: 0px 24px;
            display: flex;
            align-items: center;
            justify-content: center;
            gap: 24px;

            border-bottom: 1px solid #F7F8FC;
            background: #F7F8FC;

            span {
                color: #202226;
                text-align: center;
                font-size: 13px;
                font-style: normal;
                font-weight: 400;
                line-height: 20px;
            }
        }
    }

    .skeleton-custom {
        background-size: 0 80%;
        border-radius: 4px !important;
    }

    .cell-skeleton {
        height: 20px;
        width: 80%;
        background: linear-gradient(90deg, rgba(0, 0, 0, 0.06) 25%, rgba(0, 0, 0, 0.15) 37%, rgba(0, 0, 0, 0.06) 63%);
        background-size: 400% 100%;
        animation-name: loading-animation;
        animation-duration: 1.4s;
        animation-timing-function: ease;
        animation-iteration-count: infinite;
        border-radius: 4px;

        @keyframes loading-animation {
            0% {
                background-position: 100% 50%;
            }

            100% {
                background-position: 0 50%;
            }
        }
    }
}